> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/android/usercreationerror/usercreationfailurereason.md).

# UserCreationFailureReason

Represents the failure reason.

| **SDK\_RESET\_IN\_PROGRESS**     | A user cannot be created while the SDK is being reset.                                                                                                                                                                       |
| -------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **USER\_CREATION\_IN\_PROGRESS** | User creation is already in progress.                                                                                                                                                                                        |
| **USER\_ALREADY\_EXISTS**        | A user already exists. There cannot be more than one Sentiance user at a time on the device. See [`Sentiance#userExists()`](/important-topics/sdk/api-reference/android/sentiance.md#userexists)                             |
| **NETWORK\_ERROR**               | A network error occurred.                                                                                                                                                                                                    |
| **SERVER\_ERROR**                | A server error occurred.                                                                                                                                                                                                     |
| **UNEXPECTED\_ERROR**            | An unexpected error occurred. Check the corresponding [`UserCreationError#getDetails()` ](/important-topics/sdk/api-reference/android/usercreationerror.md#getdetails)for more info.                                         |
| **APP\_SIDE\_LINKING\_FAILED**   | The application failed to complete the user linking step. See [`UserLinker`](/important-topics/sdk/api-reference/android/userlinker.md), [`UserLinkerAsync`](/important-topics/sdk/api-reference/android/userlinkerasync.md) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/usercreationerror/usercreationfailurereason.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
